package gov.va.med.edp.vistalink;

import org.springframework.dao.TransientDataAccessResourceException;
import gov.va.med.vistalink.adapter.record.VistaLinkFaultException;

public class VistaLinkTransientDataAccessResourceException extends TransientDataAccessResourceException {
     private VistaLinkFaultException fault;

    public VistaLinkTransientDataAccessResourceException(VistaLinkFaultException fault) {
        super(fault.getErrorMessage(), fault);
        this.fault = fault;
    }

    public String getErrorCode() {
        return fault.getErrorCode();
    }

    public String getErrorMessage() {
        return fault.getErrorMessage();
    }

    public String getErrorType() {
        return fault.getErrorType();
    }

    public String getFaultActor() {
        return fault.getFaultActor();
    }

    public String getFaultCode() {
        return fault.getFaultCode();
    }

    public String getFaultString() {
        return fault.getFaultString();
    }
}
